package org.lossywav.algorithm;
//==============================================================================
//
//    lossyWAV: Added noise WAV bit reduction method by David Robinson;
//              Noise shaping coefficients by Sebastian Gesemann;
//
//    Copyright (C) 2007, 2008 Nick Currie, Copyleft.
//    Copyright (C) 2008, C# port by Greg Chudov.
//    Copyright (C) 2008, Java port by Josep Maria Antoln
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//    Contact: lossywav <at> yahoo <dot> com
/**
 * The status of a channel of the block being analyzed.
 */
public class ChannelStatus {
	//public double currentRms;
	public double currentBits;
	public short maximumBitsToRemove;
	public short bitsToRemove;
	public short bitsLost;
	public short clippedSamples;
	/**
	 * getter of currentBits
	 * @return the currentBits
	 */
	public double getCurrentBits() {
		return currentBits;
	}
	/**
	 * setter of currentBits
	 * @param currentBits the currentBits to set
	 */
	public void setCurrentBits(double currentBits) {
		this.currentBits = currentBits;
	}
	/**
	 * getter of maximumBitsToRemove
	 * @return the maximumBitsToRemove
	 */
	public short getMaximumBitsToRemove() {
		return maximumBitsToRemove;
	}
	/**
	 * setter of maximumBitsToRemove
	 * @param maximumBitsToRemove the maximumBitsToRemove to set
	 */
	public void setMaximumBitsToRemove(short maximumBitsToRemove) {
		this.maximumBitsToRemove = maximumBitsToRemove;
	}
	/**
	 * getter of bitsToRemove
	 * @return the bitsToRemove
	 */
	public short getBitsToRemove() {
		return bitsToRemove;
	}
	/**
	 * setter of bitsToRemove
	 * @param bitsToRemove the bitsToRemove to set
	 */
	public void setBitsToRemove(short bitsToRemove) {
		this.bitsToRemove = bitsToRemove;
	}
	/**
	 * getter of bitsLost
	 * @return the bitsLost
	 */
	public short getBitsLost() {
		return bitsLost;
	}
	/**
	 * setter of bitsLost
	 * @param bitsLost the bitsLost to set
	 */
	public void setBitsLost(short bitsLost) {
		this.bitsLost = bitsLost;
	}
	/**
	 * getter of clippedSamples
	 * @return the clippedSamples
	 */
	public short getClippedSamples() {
		return clippedSamples;
	}
	/**
	 * setter of clippedSamples
	 * @param clippedSamples the clippedSamples to set
	 */
	public void setClippedSamples(short clippedSamples) {
		this.clippedSamples = clippedSamples;
	}


}
